%define upstream_name Horde_Db
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.0
Release:     	%mkrel 1
Summary:    	Horde Database Libraries
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Date <= 2.0.0
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Support <= 2.0.0 
Conflicts:  	php-pear-Horde_Date = 2.0.0
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Support = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Db = %{version}
Obsoletes:	horde-db

%description
Horde database/SQL abstraction layer

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Db.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Db.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Db
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Db/*
%{peardir}/*
%{_bindir}/horde-db-migrate-component
%{xmldir}/Horde_Db.xml


%changelog

* Sat Dec 17 2011 spuhler <spuhler> 1.2.0-1.mga2
+ Revision: 183344
- upgrade to 1.2.0

* Mon Nov 28 2011 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 173262
- upgrade to 1.1.2

* Sun Nov 06 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 164079
- upgrade to 1.1.1
- changed Provides: php-pear-Horde_Db to Provides:php-pear-Horde_Db = %%{version}
- imported package php-pear-Horde_Db

